{************************************************************************
*									*
*  JUMP -- JUMP_NOT_ON_VAX.PAS						*
*									*
*  JUMP_NOT_ON_VAX contains dummy declarations when compiling JUMP on	*
*  OpenVMS Alpha or Itanium.						*
*									*
*************************************************************************
*  Author and Maintainer: Jonathan Ridler.				*
*									*
*  This software is owned and maintained privately by the author,	*
*  Jonathan Ridler. It is NOT in any way produced, owned, supported,	*
*  maintained or endorsed by Hewlett Packard Pty Ltd or any of its	*
*  legal entities.							*
*									*
*  Email: vmsjump@internode.on.net					*
*************************************************************************
*************************************************************************
***								      ***
***			    LICENCE NOTICE			      ***
***								      ***
***  This software is COPYRIGHT (c) 1993-2022 Jonathan Ridler.	      ***
***  ALL RIGHTS RESERVED.					      ***
***								      ***
***  Please READ the file JUMP_LICENCE.TXT which contains the	      ***
***  complete Licence and all conditions of use for JUMP.	      ***
***								      ***
***  NOTE: By using JUMP or any part of the JUMP distribution for     ***
***        any purpose, you are agreeing to all conditions of the     ***
***        JUMP licence.                                              ***
***                                                                   ***
*************************************************************************
*************************************************************************
*									*
*  History:								*
*	25-Sep-2001	JER	Original version for JUMP V4.0. 	*
*	01-Feb-2012	JER	Just renamed module to make more sense. *
*	03-Feb-2012	JER	JUMP V6.1.				*
*	21-Feb-2012	JER	JUMP V6.1a; added build level ident.	*
************************************************************************}

[INHERIT ('SYS$LIBRARY:STARLET',
	  'SYS$LIBRARY:PASCAL$LIB_ROUTINES')]

MODULE Jump_Not_On_Vax ;

VAR

{************************************************************************
 ****  INCREMENT the BUILD LEVEL every time the module is changed!!  ****
 ************************************************************************}

Vax_Bl : [GLOBAL] VARYING [12] OF CHAR := 'N1.006' ;

Iss__C_Arb_Full   : [GLOBAL] UNSIGNED := ISS$C_ARB_FULL ;
Syi___Arb_Support : [GLOBAL] UNSIGNED := SYI$_ARB_SUPPORT ;
CTL$GL_CCBBASE	  : [GLOBAL] UNSIGNED := 0 ;

Vmsauth_Flag ,
Extauth_Flag : [GLOBAL] BOOLEAN := FALSE ;


[GLOBAL] PROCEDURE Set_Default_Dir (Def_Dir : VARYING [Len] OF CHAR) ;

  { Simply set a new default directory. VAX STARLET does not have the
    definition of $SETDDIR so pull it out from the main program and do
    it here. }

  VAR	Rst : UNSIGNED := 0 ;

  BEGIN
  Rst := $SETDDIR (SUBSTR (Def_Dir.BODY,1,Def_Dir.LENGTH)) ;
  IF NOT ODD (Rst)  THEN  LIB$SIGNAL (Rst) ;
  END ;


[GLOBAL] PROCEDURE Check_Extauth_Flags (Flags : FLAGS$TYPE) ;

  BEGIN
  Vmsauth_Flag := Flags.UAI$V_VMSAUTH ;
  Extauth_Flag := Flags.UAI$V_EXTAUTH ;
  END ;

END.
